Subject: Re: cramfs and crontab timestamp

From: "hubert.loewenguth" <[email-masked]>
Date: Thu, 15 Jun 2006 18:04:26 +0200

Hi
Just a little precision: the /etc "copy/mount" is done before having 
start the cron process.
Thanks again if you have an idea.

hubert.loewenguth a écrit :

> hi to the community
>
> I'm not sure here is the good place for my question because it's not 
> related to the ppc architecture, but i try.
> Here is my problem I don't understand:
> I have an embended linux 2.4.20 on a 8260 ppc with a cramfs root 
> file-system I use since 1 year.
> Everything works fine.
> During the init process, the content of the /etc directory is copy in 
> a tmpfs file system and then then a tmpfs file-system is mounted on 
> /etc and fill with the old content.
> (thanks to that, I can replace after some files in the /etc by other 
> specific files store in a little jffs part of the flash with the 
> customer specific configurations /etc configuration files).
>
> Recently, I've decided to add cron to this platform and something very 
> strange appear.
> My /etc/crontab file is very simple:
>
> -----------------------------------------------
> SHELL=/bin/sh
> PATH=/sbin:/bin:/usr/sbin:/usr/bin
> MAILTO=""
> HOME=/
>
> #test of cron
> * * * * * root echo date >>/tmp/essai
> -----------------------------------------------
>
> everything works fine when I boot on a nfs file-system.
> But nothing is done (/tmp/essai not created) if I boot on the cramfs 
> file-system.
> And what is the only difference beetwen the two startup:........ the 
> timestamp of the /etc/crontab (1/1/1970 for crontab coming from the 
> cramfs)
>
> So I try something after having boot on cramfs:
> echo "#toto">>/etc/crontab
>
> And ones  I have done this, the cron process start to work correctly, 
> creating and editing the /tmp/essai.
> I know that cron verify if the /etc/crontab has changed every mn, so I 
> think this is the reason it works after, but why does it not see the 
> first crontab file ?
> It's juste like the 1/1/1970 timestamp of /etc/crontab make him 
> invisible by cron.
>
> Does anyone having an idea or having already encounter this kind of 
> problem ?
> I have find nothing on the web about this or a similar problem.
>
> Thanks for any help
>
>_______________________________________________
>Linuxppc-embedded mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>